Description

The TS calculation in ctlike should be optional. Also, obsutils.specpoints should handle spectral models which don't have a
"Prefactor" defined correctly.

History

#1 - 07/22/2014 02:01 PM - Buehler Rolf

- Status changed from New to Pull request

#2 - 07/22/2014 11:27 PM - Knodlseder Jiirgen
- Status changed from Pull request to Feedback
- Target version set to 3rd coding sprint

- % Done changed from 0 to 100

| was wondering whether you need the getlogbins() function in obsutils?

Gammalib has GEbounds, which gives the same functionality:

ebounds = GBounds(12, GEnergy(0.1, "TeV"), GEnergy(100.0, "TeV"))

| thus removed getlogbins() and adapted the code to the GEbounds usage. | also propose to rename the function to spectrum().

| also added a make_spectrum.py script to the examples folder to test the obsutils.spectrum() function. Includes a matplotlib display.

#3 - 10/31/2014 11:13 PM - Knodlseder Jiirgen

- Target version changed from 3rd coding sprint to 1.0.0

#4 - 04/17/2015 12:22 AM - Mayer Michael
Isn't this obsolete by finishing #1364 7

#5 - 07/02/2015 06:17 PM - Knddliseder Jiirgen

| guess we remove the obsutils.spectrum function as we now have csspec.

#6 - 07/02/2015 06:44 PM - Knodlseder Jiirgen
- Status changed from Feedback to Closed
Merged into devel.
